Get certificate authority details
Retrieves the requested CA information.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYYAPI Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
X-Auth-Email: user@example.comThe previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194Accepted Permissions (at least one required)
User Details WriteUser Details ReadQuery ParametersExpand Collapse
ReturnsExpand Collapse
result: { certificateAuthority }
certificateAuthority: { appleStatus, authorityKeyIdentifier, certificateRecordType, 15 more }
appleStatus: "INCLUDED" or "NOT_YET_INCLUDED" or "NOT_INCLUDED" or 4 moreThe inclusion status of a Certificate Authority (CA) in the trust store.
The inclusion status of a Certificate Authority (CA) in the trust store.
certificateRecordType: "ROOT_CERTIFICATE" or "INTERMEDIATE_CERTIFICATE"Specifies the type of certificate in the trust chain.
Specifies the type of certificate in the trust chain.
chromeStatus: "INCLUDED" or "NOT_YET_INCLUDED" or "NOT_INCLUDED" or 4 moreThe inclusion status of a Certificate Authority (CA) in the trust store.
The inclusion status of a Certificate Authority (CA) in the trust store.
microsoftStatus: "INCLUDED" or "NOT_YET_INCLUDED" or "NOT_INCLUDED" or 4 moreThe inclusion status of a Certificate Authority (CA) in the trust store.
The inclusion status of a Certificate Authority (CA) in the trust store.
mozillaStatus: "INCLUDED" or "NOT_YET_INCLUDED" or "NOT_INCLUDED" or 4 moreThe inclusion status of a Certificate Authority (CA) in the trust store.
The inclusion status of a Certificate Authority (CA) in the trust store.
The name of the parent/root certificate authority that issued this intermediate certificate.
related: array of { certificateRecordType, name, revocationStatus, sha256Fingerprint } CAs from the same owner.
CAs from the same owner.
Get certificate authority details
curl https://api.cloudflare.com/client/v4/radar/ct/authorities/$CA_SLUG \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"result": {
"certificateAuthority": {
"appleStatus": "INCLUDED",
"authorityKeyIdentifier": "1TkcnFtvBKqilUzvIN0pdKTFRXE",
"certificateRecordType": "ROOT_CERTIFICATE",
"chromeStatus": "INCLUDED",
"country": "PT",
"countryName": "Portugal",
"microsoftStatus": "INCLUDED",
"mozillaStatus": "INCLUDED",
"name": "MULTICERT Advanced Certification Authority 005",
"owner": "MULTICERT",
"parentName": "MULTICERT Root Certification Authority 01",
"parentSha256Fingerprint": "604D32D036895AED3BFEFAEB727C009EC0F2B3CDFA42A1C71730E6A72C3BE9D4",
"related": [
{
"certificateRecordType": "ROOT_CERTIFICATE",
"name": "MULTICERT Advanced Certification Authority 005",
"revocationStatus": "NOT_REVOKED",
"sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3"
}
],
"revocationStatus": "NOT_REVOKED",
"sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3",
"subjectKeyIdentifier": "VbqXmCURhMmiMtD7nFY6iCr4z",
"validFrom": "2019-12-09",
"validTo": "2032-06-08"
}
},
"success": true
}Returns Examples
{
"result": {
"certificateAuthority": {
"appleStatus": "INCLUDED",
"authorityKeyIdentifier": "1TkcnFtvBKqilUzvIN0pdKTFRXE",
"certificateRecordType": "ROOT_CERTIFICATE",
"chromeStatus": "INCLUDED",
"country": "PT",
"countryName": "Portugal",
"microsoftStatus": "INCLUDED",
"mozillaStatus": "INCLUDED",
"name": "MULTICERT Advanced Certification Authority 005",
"owner": "MULTICERT",
"parentName": "MULTICERT Root Certification Authority 01",
"parentSha256Fingerprint": "604D32D036895AED3BFEFAEB727C009EC0F2B3CDFA42A1C71730E6A72C3BE9D4",
"related": [
{
"certificateRecordType": "ROOT_CERTIFICATE",
"name": "MULTICERT Advanced Certification Authority 005",
"revocationStatus": "NOT_REVOKED",
"sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3"
}
],
"revocationStatus": "NOT_REVOKED",
"sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3",
"subjectKeyIdentifier": "VbqXmCURhMmiMtD7nFY6iCr4z",
"validFrom": "2019-12-09",
"validTo": "2032-06-08"
}
},
"success": true
}